cURL
curl --request DELETE \
--url https://api.notocat.com/v1/contacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.notocat.com/v1/contacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notocat.com/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contacts_removed": 123
}{
"error": 123,
"message": "<string>"
}Contact Endpoint
Delete Contact
Learn how to delete contacts from your newsletter using the Notocat API. This guide covers the DELETE /contacts endpoint, allowing you to remove unwanted subscriber data efficiently.
DELETE
/
contacts
cURL
This endpoint can be used to delete contacts from a workspace in bulk. This action is irreversible.
By default, the endpoint will only delete contacts that are not subscribed. If you want to delete all contacts, you can pass the
subscribed query parameter with the value true.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
ID of newsletter to delete contacts from
By default, only contacts that are not subscribed are deleted. If you want to delete all contacts, you can pass the subscribed query parameter with the value true.
Response
Contacts deleted
Was this page helpful?